Will the Philips LFH-0898 Digital Voice Tracer work with the Philips LFH-7177 or LFH-7277 Transcription Kits?

The Philips LFH7177 and LFH7277 Transcription Kits support playback of DS2/DSS/WAV/WMA & MPE file formats so it will playback audio files recorded on a LFH0898 Digital Voice Tracer, however; you will have to manually import the audio files into the software and it will not automatically download files from a Digital Voice Tracer.  If you…

Details

Why do I receive the following error when I attempt to launch Dragon NaturallySpeaking 10 on Windows 7: “A serious error occurred while initializing the NaturallySpeaking speech engine. Please try reinstalling to correct this problem.”?

This error may appear when Dragon NaturallySpeaking 10 is installed on Windows 7 andCompatibility Mode” is enabled on the Dragon NaturallySpeaking executable file. Follow the steps below to launch Dragon NaturallySpeaking 10 on a Windows 7 computer.     Step 1 Kill All Dragon Processes Running     1. Open the Task Manager by right-clicking on the…

Details

Which Digital Voice Recorders Are Supported by the Olympus DSS Player Pro R5?

Using Recorders With DSS Player Pro R5 Which digital voice recorders are supported by the Olympus DSS Player Pro Release 5 software, you ask? As of October 2010, the following Olympus digital voice recorders can be used with the DSS Player Pro Release 5 software: DS-5000/iD DS-4000 DS-3400 DS-3300 DS-2400 DS-2300 DS-30/40/50 DR-1000/2000 WS-300M /…

Details

Will my Olympus RS-27 foot pedal work with the Olympus AS-7000 Transcription Module?

Yes, the Olympus RS-27 foot pedal is compatible with the Olympus Dictation Management System Transcription Module Release 6. Our testing confirmed that the RS-28 & RS-31 are also fully compatible with ODMS Transcription Module R6 (AS-7000). NOTE: If the suggested resolution above did not resolve your issue, please contact your Dealer (where you purchased the…

Details

Will the Philips LFH-9397 Digital Starter Kit work with my Philips 9360 Digital Pocket Memo?

Yes, Philips’s hardware (Digital Pocket Memos) & software (SpeechExec Dictate) are both backwards compatible so the recorder and software packaged with the Philips 9397 Starter Kit will work with the older 9360 Digital Pocket Memos.Philips LFH-9397 Digital Starter Kit package contents: SpeechExec Starter Kit software (includes both SpeechExec Dictate & SpeechExec Transcribe) Smart Key (green…

Details